Bug 615030 - [abrt] gnome-shell-2.31.5-5.fc14: gnome-shell:322:run_shell:AttributeError: 'NoneType' object has no attribute 'wait'
Summary: [abrt] gnome-shell-2.31.5-5.fc14: gnome-shell:322:run_shell:AttributeError: '...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell   
(Show other bugs)
Version: 14
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:52cdc75c
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-15 19:51 UTC by Horst H. von Brand
Modified: 2011-03-26 15:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-26 15:28:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (454 bytes, text/plain)
2010-07-15 19:51 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2010-07-15 19:51:54 UTC
abrt version: 1.1.5
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gnome-shell -r
comment: Running Gnome/Openbox here
component: gnome-shell
executable: /usr/bin/gnome-shell
kernel: 2.6.35-0.36.rc4.git5.fc14.x86_64
package: gnome-shell-2.31.5-5.fc14
reason: gnome-shell:322:run_shell:AttributeError: 'NoneType' object has no attribute 'wait'
release: Fedora release 14 (Rawhide)
time: 1279223119
uid: 500

backtrace
-----
gnome-shell:322:run_shell:AttributeError: 'NoneType' object has no attribute 'wait'

Traceback (most recent call last):
  File "/usr/bin/gnome-shell", line 758, in <module>
    normal_exit = run_shell()
  File "/usr/bin/gnome-shell", line 322, in run_shell
    shell.wait()
AttributeError: 'NoneType' object has no attribute 'wait'

Local variables in innermost frame:
perf_output: None
shell: None
e: KeyboardInterrupt()
xephyr: None
normal_exit: False

How to reproduce
-----
1. gnome-shell -r
2. Hangs, kill with ctrl-C
3.

Comment 1 Horst H. von Brand 2010-07-15 19:51:56 UTC
Created attachment 432208 [details]
File: backtrace

Comment 2 Bug Zapper 2010-07-30 12:36:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Owen Taylor 2011-03-26 15:28:21 UTC
Python wrapper script that executed glxinfo is gone in Fedora 15 GNOME Shell, so whatever this was no longer relevant.


Note You need to log in before you can comment on or make changes to this bug.